from selenium.webdriver.common.action_chains import ActionChains
import time


def reply(driver):
    reply_page_url = get_reply_page_url(driver)
    driver.get(reply_page_url)
    content = get_reply_content(driver)
    start_reply(driver, content)
    time.sleep(2)


# 进行回复动作
def start_reply(driver, content):
    driver.find_element_by_id('vmessage').send_keys(content)
    time.sleep(2)
    element = driver.find_element_by_id('vreplysubmit')
    ActionChains(driver).move_to_element(element).click().perform()


# 读取从上往下第二条评论的内容，并返回
def get_reply_content(driver):
    element = driver.find_element_by_xpath(
        "//div[@id='postlist']/div[3]/table/tbody/tr/td[2]/div[2]/div/div/table/tbody/tr/td")
    return element.text


# 取得mod发布页面的最后一个页面的url
def get_reply_page_url(driver):
    driver.get('https://www.mcbbs.net/forum-mod-1.html')
    element = driver.find_element_by_xpath("//form[@id='moderate']/table/tbody[last()]/tr/th/a[3]")
    return element.get_attribute('href')
